<!-- 引用方法
<c-function-btn :handleStart="handleStart" :handleCheck="handleCheck" :handleSave="handleSave"
></c-function-btn>
-->
<template>
<el-col class="eContainer-func" v-if="!isReview">
  <el-button type="primary" size="small" @click="handleStart">提交</el-button>
  <el-button type="primary" size="small" @click="handleCheck">检核</el-button>
  <el-button type="primary" size="small" @click="handleSave">暂存</el-button>
  <el-button type="primary" size="small" @click="handleCancel">退出</el-button>
</el-col>
</template>
<script>
// 反洗钱组件引入


	export default {
    // 如果需要制裁信息按钮则给组件传 showAml 方法，如果不需要则不传
    props: ['handleStart', 'handleCheck', 'handleSave'],
    data: function () {
      return {
        isReview: false,
      }
    },
    created () {
      if (this.$route.path.indexOf('review') !== -1) {
        this.isReview = true
      } else {
        this.isReview = false
      }
    },
    methods: {
      handleCancel: function () {
        this.$confirm('确认退出？', '', {
          confirmButtonText: '确认',
          cancelButtonText: '取消',
          type: 'warning'
        }).then(res => {
          this.$router.push('/business/home')
        }).catch(() => {})
        
      }
    }
  }
</script>